summaryrefslogtreecommitdiffstats
path: root/network/palemoon
diff options
context:
space:
mode:
Diffstat (limited to 'network/palemoon')
-rw-r--r--network/palemoon/0001-Issue-7-Add-GCC-11-initial-support.patch37
-rw-r--r--network/palemoon/README4
-rw-r--r--network/palemoon/glib-c-arc4random.c.patch20
-rw-r--r--network/palemoon/palemoon.SlackBuild65
-rw-r--r--network/palemoon/palemoon.info10
5 files changed, 58 insertions, 78 deletions
diff --git a/network/palemoon/0001-Issue-7-Add-GCC-11-initial-support.patch b/network/palemoon/0001-Issue-7-Add-GCC-11-initial-support.patch
deleted file mode 100644
index 38ec82aad9..0000000000
--- a/network/palemoon/0001-Issue-7-Add-GCC-11-initial-support.patch
+++ /dev/null
@@ -1,37 +0,0 @@
-From 27b19218f0d3df9aaf76e784ed2348dc308437d7 Mon Sep 17 00:00:00 2001
-From: khronosschoty <khronosschoty@posteo.org>
-Date: Fri, 4 Mar 2022 07:15:50 -0800
-Subject: [PATCH 1/1] Issue #7 - Add GCC 11 initial support
-
----
- platform/system/graphics/2d/BaseRect.h | 1 +
- platform/system/network/base/nsURLParsers.cpp | 1 +
- 2 files changed, 2 insertions(+)
-
-diff --git a/platform/system/graphics/2d/BaseRect.h b/platform/system/graphics/2d/BaseRect.h
-index 57d01ba09..b1eed9ddb 100644
---- a/platform/system/graphics/2d/BaseRect.h
-+++ b/platform/system/graphics/2d/BaseRect.h
-@@ -9,6 +9,7 @@
- #include <algorithm>
- #include <cmath>
- #include <ostream>
-+#include <limits>
-
- #include "mozilla/Assertions.h"
- #include "mozilla/FloatingPoint.h"
-diff --git a/platform/system/network/base/nsURLParsers.cpp b/platform/system/network/base/nsURLParsers.cpp
-index b75ee0c4d..ed4a216a8 100644
---- a/platform/system/network/base/nsURLParsers.cpp
-+++ b/platform/system/network/base/nsURLParsers.cpp
-@@ -4,6 +4,7 @@
- * file, You can obtain one at http://mozilla.org/MPL/2.0/. */
-
- #include <string.h>
-+#include <limits>
-
- #include "mozilla/RangedPtr.h"
-
---
-2.35.1
-
diff --git a/network/palemoon/README b/network/palemoon/README
index 8894515c8e..bc814b6490 100644
--- a/network/palemoon/README
+++ b/network/palemoon/README
@@ -49,6 +49,10 @@ passing the variable:
BLACKLIST_JACK=yes ./palemoon.SlackBuild
+ALSA=1 will disable pulse audio and build a pure alsa Pale Moon.
+GLIB-C-1PATCH=1 is a patch that will enable compiling on newer glibc
+(such as is found in Slackware current).
+
To enable debug information, pass the script the parameter
ENABLE_DEBUG=yes
diff --git a/network/palemoon/glib-c-arc4random.c.patch b/network/palemoon/glib-c-arc4random.c.patch
new file mode 100644
index 0000000000..467434614b
--- /dev/null
+++ b/network/palemoon/glib-c-arc4random.c.patch
@@ -0,0 +1,20 @@
+--- a/palemoon-31.3.0.1_Release/platform/ipc/chromium/src/third_party/libevent/arc4random.c 2022-09-27 20:12:40.000000000 -0000
++++ b/palemoon-31.3.0.1_Release/platform/ipc/chromium/src/third_party/libevent/arc4random.c 2022-10-03 10:09:16.859171354 -0000
+@@ -481,7 +481,8 @@
+ }
+ #endif
+
+-#ifndef HAVE_ARC4RANDOM_BUF
++#if defined(_we_have_arc4random_buf) || !defined(XP_SOLARIS)
++#if (__GLIBC__ <= 2 && __GLIBC_MINOR__ < 36) || !defined(XP_LINUX)
+ ARC4RANDOM_EXPORT void
+ arc4random_buf(void *_buf, size_t n)
+ {
+@@ -496,6 +497,7 @@
+ _ARC4_UNLOCK();
+ }
+ #endif
++#endif
+
+ #ifndef ARC4RANDOM_NOUNIFORM
+ /*
diff --git a/network/palemoon/palemoon.SlackBuild b/network/palemoon/palemoon.SlackBuild
index 87bb76a400..eddee9ec7a 100644
--- a/network/palemoon/palemoon.SlackBuild
+++ b/network/palemoon/palemoon.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for Pale Moon
-# Copyright 2018,2019 Vasily Sora USA
+# Copyright 2018,2019,2022,2023 Vasily Sora USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -28,16 +28,13 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=palemoon
-VERSION=${VERSION:-30.0.0}
-SRCNAM1=${SRCNAM1:-Pale-Moon-${VERSION}_Release}
-SRCNAM2=${SRCNAM2:-GRE-RELBASE_20220310}
+VERSION=${VERSION:-32.5.0}
+SRCNAM1=${SRCNAM1:-$PRGNAM-${VERSION}_Release}
+SRCNAM2=${SRCNAM2:-uxp-RB_20231030}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
-DOCS="AUTHORS LICENSE README.md"
-DOCS_GRE="AUTHORS LEGAL SECURITY.md"
-
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i586 ;;
@@ -46,9 +43,6 @@ if [ -z "$ARCH" ]; then
esac
fi
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -61,6 +55,8 @@ OUTPUT=${OUTPUT:-/tmp}
OBJ=${OBJ:-obj-$PRGNAM}
GTK=${GTK:-gtk2}
+DOCS="AUTHORS LICENSE README.md SECURITY.md"
+ALSA=${ALSA:-0}
# You can try changing the optimization level to simply "-O2" if your processor
# doesn't support sse2 instructions.
# "-Os" might help if you experience segfaults.
@@ -72,18 +68,13 @@ elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2 -fPIC"
+ SLKCFLAGS="-O2 -fPIC -Wno-format-overflow"
LIBDIRSUFFIX="64"
else
SLKCFLAGS="-O2"
LIBDIRSUFFIX=""
fi
-# look into adding this as an option:
-# elif [ "$ARCH" = "x86_64" ]; then
-# SLKCFLAGS="-O2 -D_FORTIFY_SOURCE=2 -fstack-protector --param ssp-buffer-size=4 -fPIE -pie -Wl,-z,relro,-z,now -mindirect-branch=th
-
-
# The default is to build with official branding. This SlackBuild is used to
# produce officially approved third party "contributed builds" of Pale Moon.
# This SlackBuild can also be used to produce unapproved packages -- which
@@ -92,10 +83,9 @@ fi
# master trunck of the Pale Moon github repository.
BRANDING=${BRANDING:---enable-official-branding}
if [ "$BRANDING" = "NewMoon" ]; then
- BRANDING="--disable-official-branding --with-branding=browser/branding/unofficial"
-elif
- [ "$BRANDING" = "unstable" ]; then
- BRANDING="--disable-official-branding --with-branding=other-licenses/branding/palemoon/unstable"
+ BRANDING="--disable-official-branding --with-branding=palemoon/branding/unofficial"
+elif [ "$BRANDING" = "unstable" ]; then
+ BRANDING="--disable-official-branding --with-branding=palemoon/branding/unstable"
fi
rm -rf $PKG $TMP/gold $TMP/$OBJ
@@ -157,13 +147,14 @@ PATH=$TMP/autoconf-tmp/usr/bin:$PATH
# Build Pale Moon
cd $TMP
rm -rf $SRCNAM1
-tar -xvf $CWD/$SRCNAM1.tar.gz --transform="flags=r;s/pale-moon/$SRCNAM1/"
+tar -xvzf $CWD/$SRCNAM1.tar.gz # --transform s/pale-moon/${SRCNAM1}/
cd $SRCNAM1
-tar -xvf $CWD/$SRCNAM2.tar.gz --transform="flags=r;s/gre/platform/"
+tar -xvzf $CWD/$SRCNAM2.tar.gz --transform s/${SRCNAM2}/platform/
-patch -p1 < $CWD/0001-Issue-7-Add-GCC-11-initial-support.patch
-if [ "${ADNAUSEAM:-block}" = "unblock" ]; then
- patch -p1 < $CWD/adNauseam-unblock.patch
+#patch -p1 < $CWD/basilisk-include-limits.patch
+GLIB_C_1PATCH=${GLIB_C_1PATCH:-0}
+if [ $GLIB_C_1PATCH = 1 ]; then
+ patch -p2 < $CWD/glib-c-arc4random.c.patch
fi
chown -R root:root .
@@ -212,7 +203,7 @@ OPTIONS="\
--disable-accessibility \
$DEBUG \
$DEVTOOLS \
- --enable-application=browser \
+ --enable-application=$PRGNAM \
--disable-crashreporter \
--disable-updater \
--disable-tests \
@@ -226,7 +217,11 @@ for option in $OPTIONS; do echo "ac_add_options $option" >> .mozconfig; done
echo "ac_add_options --enable-optimize=\"$OPTIMIZE\"" >> .mozconfig
if ! pkg-config --exists libpulse; then
-echo "ac_add_options --disable-pulseaudio" >> .mozconfig; fi
+ echo "ac_add_options --disable-pulseaudio" >> .mozconfig
+ TAG=${TAG}_alsa
+elif [ $ALSA = 1 ]; then
+ echo "ac_add_options --disable-pulseaudio" >> .mozconfig
+TAG=${TAG}_alsa; fi
if pkg-config --exists jack && [ "${BLACKLIST_JACK:-no}" != "yes" ]; then
echo "ac_add_options --enable-jack" >> .mozconfig; fi
@@ -234,9 +229,9 @@ echo "ac_add_options --enable-jack" >> .mozconfig; fi
./mach build
## Clean up; and package Pale Moon.
-DESTDIR=$PKG ./mach install
mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/mozilla/plugins
cd $TMP/$OBJ
+make install DESTDIR=$PKG
cd $PKG
@@ -257,23 +252,21 @@ fi
# Install icons:
for PX in 16 32 48 ; do
mkdir -p $PKG/usr/share/icons/hicolor/${PX}x${PX}/apps
- ln -s /usr/lib${LIBDIRSUFFIX}/$PRGNAM-$VERSION/chrome/icons/default/default${PX}.png \
+ ln -s /usr/lib${LIBDIRSUFFIX}/$PRGNAM-$VERSION/browser/chrome/icons/default/default${PX}.png \
$PKG/usr/share/icons/hicolor/${PX}x${PX}/apps/$PRGNAM.png
done
# ... and the 128px icon file too:
mkdir -p $PKG/usr/share/icons/hicolor/128x128/apps
-ln -s /usr/lib${LIBDIRSUFFIX}/$PRGNAM-$VERSION/icons/mozicon128.png \
+ln -s /usr/lib${LIBDIRSUFFIX}/$PRGNAM-$VERSION/browser/icons/mozicon128.png \
$PKG/usr/share/icons/hicolor/128x128/apps/$PRGNAM.png
mkdir -p $PKG/usr/share/applications
cat $CWD/palemoon.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/GRE
-for i in $DOCS; do
- cp $TMP/$SRCNAM1/$i $PKG/usr/doc/$PRGNAM-$VERSION
-done
-for i in $DOCS_GRE; do
- cp $TMP/$SRCNAM1/platform/$i $PKG/usr/doc/$PRGNAM-$VERSION/GRE/
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/UXP
+for docs in $DOCS; do
+ cp $TMP/${SRCNAM1}/$docs $PKG/usr/doc/$PRGNAM-$VERSION/ || true
+ cp $TMP/${SRCNAM1}/platform/$docs $PKG/usr/doc/$PRGNAM-$VERSION/UXP/ || true
done
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
diff --git a/network/palemoon/palemoon.info b/network/palemoon/palemoon.info
index d495a982cd..7b472121b0 100644
--- a/network/palemoon/palemoon.info
+++ b/network/palemoon/palemoon.info
@@ -1,11 +1,11 @@
PRGNAM="palemoon"
-VERSION="30.0.0"
+VERSION="32.5.0"
HOMEPAGE="http://www.palemoon.org/"
-DOWNLOAD="http://repo.schotynet.org/sources/palemoon/Pale-Moon-30.0.0_Release.tar.gz \
- http://repo.schotynet.org/sources/GRE/GRE-RELBASE_20220310.tar.gz \
+DOWNLOAD="http://git.schotynet.org/palemoon/snapshot/palemoon-32.5.0_Release.tar.gz \
+ http://git.schotynet.org/uxp/snapshot/uxp-RB_20231030.tar.gz \
http://ponce.cc/slackware/sources/repo/autoconf-2.13.tar.xz"
-MD5SUM="57b9accd80f17553be2a6f4042db0560 \
- 9d4d6715cf475a11455cae4e6fc6cefe \
+MD5SUM="cddcee238979eaa9b9d945acff2b2ed5 \
+ 0c8a09957c2617e128de391278397cd6 \
f2994d302cf736e7e71974edfa51da3c"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""